# [Soft UI Design System](http://demos.creative-tim.com/soft-ui-design-system/presentation.html?ref=readme-suds)

![version](https://img.shields.io/badge/version-1.0.4-blue.svg) [![GitHub issues open](https://img.shields.io/github/issues/creativetimofficial/soft-ui-design-system.svg?maxAge=2592000)](https://github.com/creativetimofficial/soft-ui-design-system/issues?q=is%3Aopen+is%3Aissue) [![GitHub issues closed](https://img.shields.io/github/issues-closed-raw/creativetimofficial/soft-ui-design-system.svg?maxAge=2592000)](https://github.com/creativetimofficial/soft-ui-design-system/issues?q=is%3Aissue+is%3Aclosed)

![Image](https://raw.githubusercontent.com/creativetimofficial/public-assets/master/soft-ui-design-system/opt_sds_free_thumbnail.jpg)

Soft UI Design System is built with over 70 frontend individual elements, like buttons, inputs, navbars, navtabs, cards or alerts, giving you the freedom of choosing and combining. All components can take variations in colour, that you can easily modify using SASS files and classes.

You will save a lot of time going from prototyping to full-functional code, because all elements are implemented. This Freebie Bootstrap 5 UI Kit is coming with prebuilt design blocks, so the development process is seamless, switching from our pages to the real website is very easy to be done.

View [all components here](https://www.creative-tim.com/learning-lab/bootstrap/alerts/soft-ui-design-system?ref=readme-suds).

#### Special thanks
During the development of this design system, we have used many existing resources from awesome developers. We want to thank them for providing their tools open source:
- [Popper.js](https://popper.js.org/) - Kickass library used to manage poppers
- [CountUp](https://inorganik.github.io/countUp.js/) - Dependency-free, lightweight JavaScript class that can be used to quickly create animations that display numerical data in a more interesting way
- [Rellax](https://dixonandmoe.com/rellax/) - Lightweight, vanilla javascript parallax library
- [Smooth Scroll](https://github.com/cferdinandi/smooth-scroll) - A lightweight script to animate scrolling to anchor links

Let us know your thoughts below. And good luck with development!

## Table of Contents

* [Versions](#versions)
* [Demo](#demo)
* [Quick Start](#quick-start)
* [Documentation](#documentation)
* [File Structure](#file-structure)
* [Browser Support](#browser-support)
* [Resources](#resources)
* [Reporting Issues](#reporting-issues)
* [Technical Support or Questions](#technical-support-or-questions)
* [Licensing](#licensing)
* [Useful Links](#useful-links)

## Versions

[<img src="https://s3.amazonaws.com/creativetim_bucket/github/html.png" width="60" height="60" />](https://www.creative-tim.com/product/soft-ui-design-system?ref=readme-suds)

| HTML |
| --- |
| [![Soft UI Design System HTML](https://raw.githubusercontent.com/creativetimofficial/public-assets/master/soft-ui-design-system/opt_sds_free_thumbnail.jpg)](http://demos.creative-tim.com/soft-ui-design-system/presentation.html?ref=readme-suds)

## Demo

- [Sign in page](https://demos.creative-tim.com/soft-ui-design-system/pages/sign-in.html?ref=readme-suds)
- [About us page](https://demos.creative-tim.com/soft-ui-design-system/pages/about-us.html?ref=readme-suds)
- [Contact us page](https://demos.creative-tim.com/soft-ui-design-system/pages/contact-us.html?ref=readme-suds)
- [Author page](https://demos.creative-tim.com/soft-ui-design-system/pages/author.html?ref=readme-suds)
- [Page headers](https://demos.creative-tim.com/soft-ui-design-system/sections/page-sections/hero-sections.html?ref=readme-suds)

[View More](https://demos.creative-tim.com/soft-ui-design-system/presentation.html?ref=readme-suds).

## Quick start

Quick start options:

- Download from [Creative Tim](https://www.creative-tim.com/product/soft-ui-design-system?ref=readme-suds).

## Terminal Commands

1. Download and Install NodeJs from [NodeJs Official Page](https://nodejs.org/en/download/).
2. Navigate to the root / directory and run npm install to install our local dependencies.

## Documentation
The documentation for the Soft UI Design System is hosted at our [website](https://www.creative-tim.com/learning-lab/bootstrap/overview/soft-ui-design-system?ref=readme-suds).

### What's included

Within the download you'll find the following directories and files:

```
soft-ui-design-system
    ├── assets
    │   ├── css/
    │   ├── fonts/
    │   ├── img/
    │   ├── js
    │   │   ├── core
    │   │   ├── plugins
    │   │   └── soft-design-system.min.js
    │   └── scss
    │       ├── soft-design-system/
    │       └── soft-design-system.scss
    ├── docs
    │   ├── documentation.html
    ├── pages/
    ├── sections/
    ├── CHANGELOG.md
    ├── gulpfile.js
    ├── package.json
    ├── presentation.html
```

## Browser Support

At present, we officially aim to support the last two versions of the following browsers:

<img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/chrome.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/firefox.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/edge.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/safari.png" width="64" height="64"> <img src="https://s3.amazonaws.com/creativetim_bucket/github/browser/opera.png" width="64" height="64">

## Resources
- [Live Preview](https://demos.creative-tim.com/soft-ui-design-system/presentation.html?ref=readme-suds)
- [Download Page](https://www.creative-tim.com/product/soft-ui-design-system?ref=readme-suds)
- Documentation is [here](https://www.creative-tim.com/learning-lab/bootstrap/overview/soft-ui-design-system?ref=readme-suds)
- [License Agreement](https://www.creative-tim.com/license?ref=readme-suds)
- [Support](https://www.creative-tim.com/contact-us?ref=readme-suds)
- Issues: [Github Issues Page](https://github.com/creativetimofficial/soft-ui-design-system/issues)

## Reporting Issues
We use GitHub Issues as the official bug tracker for the Soft UI Design System. Here are some advices for our users that want to report an issue:

1. Make sure that you are using the latest version of the Soft UI Design System. Check the CHANGELOG from your dashboard on our [website](https://www.creative-tim.com/product/soft-ui-design-system?ref=readme-suds).
2. Providing us reproducible steps for the issue will shorten the time it takes for it to be fixed.
3. Some issues may be browser specific, so specifying in what browser you encountered the issue might help.

## Technical Support or Questions

If you have questions or need help integrating the product please [contact us](https://www.creative-tim.com/contact-us?ref=readme-suds) instead of opening an issue.

## Licensing

- Copyright 2021 [Creative Tim](https://www.creative-tim.com?ref=readme-suds)
- Creative Tim [license](https://www.creative-tim.com/license?ref=readme-suds)

## Useful Links

- [More products](https://www.creative-tim.com/templates?ref=readme-suds) from Creative Tim

- [Tutorials](https://www.youtube.com/channel/UCVyTG4sCw-rOvB9oHkzZD1w)

- [Freebies](https://www.creative-tim.com/bootstrap-themes/free?ref=readme-suds) from Creative Tim

- [Affiliate Program](https://www.creative-tim.com/affiliates/new?ref=readme-suds) (earn money)

##### Social Media

Twitter: <https://twitter.com/CreativeTim>

Facebook: <https://www.facebook.com/CreativeTim>

Dribbble: <https://dribbble.com/creativetim>

Google+: <https://plus.google.com/+CreativetimPage>

Instagram: <https://instagram.com/creativetimofficial>
